/**
 * Post form
 */
minds-newsfeed-poster {
  display: block;
}

.post {
  margin-bottom: $minds-padding * 2;
  width: 100%;
  min-height: 0;

  .mdl-card__supporting-text {
    overflow: visible;

    textarea {
      background-color: transparent;
    }
  }

  > div {
    flex-direction: row;
    flex-wrap: wrap;
    display: flex;
    width: 100%;
    padding: 0;
    box-sizing: border-box;

    .minds-avatar {
      margin: 16px 0 16px 16px;

      img {
        width: 30px;
        height: 30px;
        border-radius: 50%;
      }
    }

    form {
      flex: 1;
      margin-bottom: 0;

      .mdl-textfield__input {
        width: 100%;
        border: 0;
        font-size: 13px;
        padding: 22px 16px;
        min-height: 95px;
      }

      .mdl-textfield__input:focus {
        outline: none;
      }
    }

    .mdl-card__actions {
      text-align: right;

      > * {
        margin-left: 4px;
        margin-right: 4px;
        vertical-align: middle;
      }

      .m-btn--with-icon {
        padding-right: 8px;

        i {
          margin-right: 0px;
          margin-left: 4px;
        }
      }

      m-wire-threshold-input {
        display: inline-block;
        height: 32px;
        vertical-align: middle;
        line-height: 32px;
      }

      .m-mature-button {
        display: inline-block;
        vertical-align: middle;
        position: relative;
        overflow: hidden;
        cursor: pointer;

        i {
          cursor: pointer;
          vertical-align: middle;
        }

        span {
          font-size: 11px;
          text-transform: uppercase;
        }
      }

      .mdl-button {
        padding: 0;
      }

      .attachment-button:before {
        font-family: 'material icons';
        position: absolute;
        top: 7px;
        left: 6px;
        @include m-theme() {
          color: themed($m-grey-400);
        }
      }

      .attachment-button {
        display: inline-block;
        vertical-align: middle;
        position: relative;
        overflow: hidden;
        cursor: pointer;

        i {
          cursor: pointer;
        }

        input {
          position: absolute;
          position: absolute;
          height: 100%;
          width: 100%;
          top: 0;
          left: 0;
          cursor: pointer;
          opacity: 0;
          @include m-theme() {
            color: themed($m-grey-400);
          }
        }

        input::-webkit-file-upload-button {
          cursor: pointer;
        }
      }
    }
  }
}

m-hashtags-selector {
  line-height: 32px;
  height: 32px;
}

.post-preview {
  position: relative;
  display: block !important;

  .m-rich-embed {
    a {
      width: 100%;
    }

    img {
      width: 100%;
    }

    .meta {
      padding: $minds-padding * 2;
      display: block;
      text-decoration: none;
      width: calc(100% - 32px);
    }
  }

  .mdl-spinner {
    margin: $minds-padding * 2 auto;
    display: block;

    &.attachment-preview-delete-in-progress {
      top: calc(50% - 20px);
      left: calc(50% - 20px);
      margin: auto;
      position: absolute;
    }
  }

  .mdl-progress {
    margin: 2px 0;
    height: 8px;
  }

  .attachment-preview {
    width: 100%;

    &.video-placeholder {
      display: block;
      width: 100%;
      height: 200px;

      align-items: center;
      -webkit-align-items: center;

      i {
        font-size: 40px;
        top: calc(50% - 20px);
        left: calc(50% - 20px);
        position: absolute;
        @include m-theme() {
          color: themed($m-white-always);
        }
      }
    }
  }

  .attachment-preview-delete {
    display: none;
    cursor: pointer;
  }

  &:hover {
    .attachment-preview-delete {
      display: flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      z-index: 200;
      height: 100%;
      @include m-theme() {
        background-color: rgba(themed($m-black), 0.6);
      }

      i {
        font-size: 40px;
        @include m-theme() {
          color: themed($m-white);
        }
      }
    }
  }

  .post-preview-error {
    margin-bottom: 1em;
    font-size: 12px;
    text-align: center;
    @include m-theme() {
      color: themed($m-red);
    }
  }
}

.m-poster {
  .m-poster__ActionBar {
    display: flex;
    flex-direction: row;
    align-content: center;
    padding: 8px 0;
    @include m-theme() {
      border-top: 1px solid themed($m-grey-50);
    }

    > * {
      padding: 4px 8px;
      position: relative;
      white-space: nowrap;
      text-decoration: none;
      @include m-theme() {
        border-right: 1px solid themed($m-grey-50);
        color: themed($m-grey-700);
      }

      &:first-child {
        //padding-left: 0;
        margin-right: auto;
        border-right: none;
      }

      &:last-child {
        //padding-right: 0;
        border-right: none;
      }

      > * {
        vertical-align: middle;
      }

      p {
        white-space: normal;
      }
    }
    .m-posterActionBar__CreateBlog {
      cursor: pointer;
    }

    .m-posterActionBar__IconAndLabel {
      cursor: pointer;

      > * {
        vertical-align: middle;
      }
    }

    .fa.m-posterActionBar__Icon,
    .m-posterActionBar__IconAndLabel .fa {
      font-size: 18px;
    }

    .material-icons.m-posterActionBar__Icon,
    .m-posterActionBar__IconAndLabel i.material-icons {
      font-size: 20px;
      transform: rotate(0.03deg) translateY(-1px); // Jagged lines hack
    }

    .m-posterActionBar__Label,
    .m-posterActionBar__IconAndLabel > span {
      font-size: 12px;
      font-family: 'Roboto', sans-serif;
      text-transform: uppercase;
      letter-spacing: 1px;
      font-weight: 400;
      cursor: pointer;
      margin-left: 4px;
    }

    .m-posterActionBar__Attach {
      cursor: pointer;

      > input {
        position: absolute;
        top: -1px;
        left: -1px;
        width: 1px;
        height: 1px;
        opacity: 0.01;
        cursor: pointer;
        overflow: hidden;
      }
    }

    .m-posterActionBar__MatureButton {
      cursor: pointer;
    }

    .m-posterActionBar__PostButton {
      appearance: none;
      border: none !important;
      background: transparent;
      cursor: pointer;

      [disabled] {
        cursor: initial !important;
        opacity: 0.65;
      }

      .m-posterActionBar__Label {
        margin-left: 0;
        margin-right: 4px;
      }
    }

    m-hashtags-selector {
      line-height: 1;
      height: auto;

      .m-posterActionBar__IconAndLabel {
        position: relative;
        top: 1px;
      }
    }

    &.m-poster__Actionbar--hide-labels {
      .m-posterActionBar__Label,
      .m-posterActionBar__IconAndLabel > span {
        display: none;
      }
    }
  }

  .post-preview {
    @include m-theme() {
      border-top: 1px solid themed($m-grey-50);
    }
  }

  .minds-bg-overlay {
    z-index: 1;
  }
}
